
_main:

;lcusp.c,1 :: 		void main()
;lcusp.c,3 :: 		CMCON = 0x07;    // To turn off comparators
	MOVLW      7
	MOVWF      CMCON+0
;lcusp.c,4 :: 		ADCON1 = 0x06;   // To turn off analog to digital converters
	MOVLW      6
	MOVWF      ADCON1+0
;lcusp.c,6 :: 		TRISB = 0x00;    //  set direction of RBO to output OxFE = 11111110 all other pins (RB1 - RB7) are input pins
	CLRF       TRISB+0
;lcusp.c,7 :: 		PORTB = 1;       // Set RB0 to high 00000001
	MOVLW      1
	MOVWF      PORTB+0
;lcusp.c,9 :: 		do              // To set infinite loop
L_main0:
;lcusp.c,11 :: 		Delay_ms(300);          // 350 mili seconds delay
	MOVLW      4
	MOVWF      R11+0
	MOVLW      12
	MOVWF      R12+0
	MOVLW      51
	MOVWF      R13+0
L_main3:
	DECFSZ     R13+0, 1
	GOTO       L_main3
	DECFSZ     R12+0, 1
	GOTO       L_main3
	DECFSZ     R11+0, 1
	GOTO       L_main3
	NOP
	NOP
;lcusp.c,12 :: 		PORTB = PORTB<<1;       //Shifting right by one bit
	MOVF       PORTB+0, 0
	MOVWF      R0+0
	RLF        R0+0, 1
	BCF        R0+0, 0
	MOVF       R0+0, 0
	MOVWF      PORTB+0
;lcusp.c,13 :: 		if(PORTB >= 0b10000000) //To reset to 00000001 when the count becomes 10000000
	MOVLW      128
	SUBWF      PORTB+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_main4
;lcusp.c,15 :: 		Delay_ms(350);       // 350 mili seconds delay
	MOVLW      4
	MOVWF      R11+0
	MOVLW      142
	MOVWF      R12+0
	MOVLW      18
	MOVWF      R13+0
L_main5:
	DECFSZ     R13+0, 1
	GOTO       L_main5
	DECFSZ     R12+0, 1
	GOTO       L_main5
	DECFSZ     R11+0, 1
	GOTO       L_main5
	NOP
;lcusp.c,16 :: 		PORTB = 1;
	MOVLW      1
	MOVWF      PORTB+0
;lcusp.c,17 :: 		}
L_main4:
;lcusp.c,18 :: 		}while(1);      // To set infinite loop
	GOTO       L_main0
;lcusp.c,19 :: 		}
	GOTO       $+0
; end of _main
